﻿@charset "utf-8";

/* 画像ファイル形式の説明 CSS */
/*
body > div > div:nth-child(3) > div:not([class]) {
    margin: 0px 0px 0px 200px;
    text-align: right;
    font-size: 10px;
}
body > div > div:nth-child(3) > div:not([class]):before {
  content: ' ';
  display: block;
  height: 0;
  font-size:0;
  clear: both;
  visibility:hidden;
}
*/

/* ドロップエリア CSS */
.drop_zone {
    border: 2px dashed #BBBBBB;
    border-radius: 5px;
    color: #BBBBBB;
    padding: 15px 20px;
    text-align: left;
    cursor:copy;
    /* margin: 0px 0px 0px 35px; */
    text-align: center;
    /* float:left; */
    width: 760px;
}

/* 商品棚 */
span#virtualShelf {
  /* border: 1px solid #cccccc; */
  display: block;
  width: 800px;
}

div[class^=boxContainer] {
	/* border-left:1px solid #cccccc; */
	/* border-right:1px solid #cccccc; */
  border: 1px solid #cccccc;
	max-width: 800px;
	max-height: 185px;
	background-image: url("../img/shelf2.jpg");
/*  background-position: 50% 100%;*/
  background-position: 0 470px;
	width: 800px;
	height: 185px;
  /* margin: 0 auto; */
}
  div[class^=boxContainer]:after {
    content: ' ';
    display: block;
    height: 0;
    font-size:0;
    clear: both;
    visibility:hidden;
  }
  div[class^=boxContainer] p {
  	float:left;
  	margin: 0px;
  	height:150px;
  }
  div[class^=boxContainer] p img {
  	-ms-interpolation-mode: bicubic;
  }
  * html body #boxContainer p img {
  	height: expression(this.width <= this.height ? "150px" : "auto");
  }
  div[class^=boxContainer]:hover {
    border: 1px dashed #008800;
  }

/* ボタン */
div.action_button {
  width: 802px;
  /* margin: 0 auto; */
}
  div.action_button ul {
    padding: 0;
    width: 802px;
  }
  div.action_button ul:after {
    content: ' ';
    display: block;
    height: 0;
    font-size:0;
    clear: both;
    visibility:hidden;
  }
  div.action_button ul li {
    float: right;
    list-style: none;
    margin: 0 0 0 20px;
  }

  /* This css button was generated by css-button-generator.com */
  div[class^=css_btn_class], #remove {
  	font-size:16px;
  	font-family:Arial;
  	font-weight:bold;
  	-moz-border-radius:8px;
  	-webkit-border-radius:8px;
  	border-radius:8px;
  	border:1px solid #dcdcdc;
  	padding:9px 18px;
  	text-decoration:none;
  	background:-moz-linear-gradient( center top, #ededed 5%, #dfdfdf 100% );
  	background:-ms-linear-gradient( top, #ededed 5%, #dfdfdf 100% );
  	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ededed', endColorstr='#dfdfdf');
  	background:-webkit-gradient( linear, left top, left bottom, color-stop(5%, #ededed), color-stop(100%, #dfdfdf) );
  	background-color:#ededed;
  	color:#000000;
  	display:inline-block;
  	text-shadow:1px 1px 0px #ffffff;
   	-webkit-box-shadow:inset 1px 1px 0px 0px #ffffff;
   	-moz-box-shadow:inset 1px 1px 0px 0px #ffffff;
   	box-shadow:inset 1px 1px 0px 0px #ffffff;
  }
    div[class^=css_btn_class]:hover, #remove:hover {
    	background:-moz-linear-gradient( center top, #dfdfdf 5%, #ededed 100% );
    	background:-ms-linear-gradient( top, #dfdfdf 5%, #ededed 100% );
    	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#dfdfdf', endColorstr='#ededed');
    	background:-webkit-gradient( linear, left top, left bottom, color-stop(5%, #dfdfdf), color-stop(100%, #ededed) );
    	background-color:#dfdfdf;
    }
    div[class^=css_btn_class]:active, #remove:active {
    	position:relative;
    	top:1px;
    }

/* 値札 */
div[id^=priceTagElement] {
  background-color:#FFFFFF;
  border:1px solid #dcdcdc;
  position:absolute;
  display:none;
  z-index:2000;
}

/* 棚の幅を変える設定ウインドウ */
div[id=boxContainerElement] {
  background-color:#FFFFFF;
  border:1px solid #dcdcdc;
  position:absolute;
  display:none;
  z-index:2000;
}

/* 棚の幅を変える設定ウインドウを呼び出すアイコン */
div[id=boxContainerElementSettingIcon] {
  background-color:#FFFFFF;
  border:1px solid #dcdcdc;
  position:absolute;
  display:none;
  z-index:2000;
}

/* 棚を生成する直前に入力するウインドウ */
div[id=boxContainerElementSettingWindows] {
  background-color:#FFFFFF;
  border:1px solid #dcdcdc;
/*  height: 260px;*/
  position:absolute;
  display:none;
  z-index:2000;
}
  div[id=boxContainerElementSettingWindows] img:hover {
    cursor: pointer;
  }

/* leanModal */

#lean_overlay{
  position: fixed; z-index:100; 
  top: 0px;
  left: 0px;
  height: 100%;
  width: 100%;
  background: #000;
  display: none;
}

/*
#div787{
  background: none repeat scroll 0 0 #FFFFFF;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.7);
  display: none;
  padding: 30px;
  width: 350px;
 }

.modal_close{ 
  position: absolute;
  top: 12px;
  right: 12px;
  display: block; 
  width: 14px;
  height: 14px; 
  background: url(../img/closeBtn.png);
  z-index: 2;
}
*/

/*
.overlay{
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 500;
  display: none;
}
*/
.modal {
  /* background: none repeat scroll 0 0 #FFFCEB; */
    background: none repeat scroll 0 0 #FFFFFF;
    border-radius: 10px;
    box-shadow: 0 3px 5px #000000;
    display: none;
    min-height: 250px;
    min-width: 350px;
    overflow: auto;
    position: absolute;
    z-index: 1000;
}
  .modal h1 {
      background: none repeat scroll 0 0 #346173;
      border: 1px solid #2A4D5B;
      border-radius: 10px 10px 0 0;
      box-shadow: 0 1px 1px #66A0B8 inset;
      color: #FFFCEB;
      font-size: 20px;
      font-weight: 500;
      margin: 0 0 20px;
      padding: 12px 10px 10px;
      text-align: center;
  }
  .modal img {
      border: 0px solid #2A4D5B;
  /*    margin: 0 20px 20px 20px;*/
      margin: 20px 20px 20px 20px;
  }
  .modal input[type='submit'] {
      background-color: #346173;
      background-image: -moz-linear-gradient(center top , #3A6A7E, #2E5869);
      border: 1px solid #2A4D5B;
      border-radius: 5px;
      box-shadow: 0 1px 1px #66A0B8 inset;
      color: #FFFCEB;
      display: block;
    /*    position: absolute;*/
      height: 30px;
      margin: 0 0 20px 20px;
      bottom: 10px;
      text-align: center;
      width: 140px;
  }
  .modal input[type='text'] {
      color: #AAAAAA;
      font-size: 125%;
 /*     height: 20px;*/
      padding: 2px;
      text-align: right;
  }
  .modal input:focus {
      color: #000000;
      background-color: #bde9ba;
  }
  .modal span {
      font-size: 125%;
      display: block;
/*      margin: 5px 10px; */
      text-align: right;
  }

.closeBtn {
    background: url("../img/closeBtn.png") no-repeat scroll 0 0 rgba(0, 0, 0, 0);
    display: block;
    height: 22px;
    left: 10px;
    position: absolute;
    top: 12px;
    width: 22px;
    margin: 0 0 0 305px;
}

.btn {
    border: medium none;
    display: block;
    outline: medium none;
}

button, html input[type="button"], input[type="reset"], input[type="submit"],div[class^=css_btn_class],div[class^=boxContainer] img {
    cursor: pointer;
}


/* 商品棚 */
/*table {
    background-image: url("../img/shelf_03.jpg");
    width:640px;
    height:177px;
}

*/



/* 値札 price */
div[class^='price_'] {
	position:absolute;
}

.css_btn_class_5{
margin:2px 0;
}

/*  */
input[name=researchNo],input[name=reglistName],input[name=qNo] {
  color:#000000;
/*  font-size: 200%;*/
}
input[name=researchNo]:focus {
  color:#000000;
}


/*.price_div {
	position:relative;
}*/

/* 不明 */
#progress_bar {
  margin: 10px 0;
  padding: 3px;
  border: 1px solid #000;
  font-size: 14px;
  clear: both;
  opacity: 0;
  -moz-transition: opacity 1s linear;
  -o-transition: opacity 1s linear;
  -webkit-transition: opacity 1s linear;
}

#progress_bar.loading {
  opacity: 1.0;
}

#progress_bar .percent {
  background-color: #99ccff;
  height: auto;
  width: 0;
}



/* モーダルウインドウ */
#div888 {
  width:550px;
  height:320px;
}
/* 大イメージ */
#div888 div {
  width:550px;
  height:270px;
}
#div888 span.left img {
  left:10px;
  position:absolute;
}

/* 小イメージ */
#div888 span.right {
 float:right;
 width:150px;
}
#div888 span.right img {
  display:block;
  width:97px;
}
#div888 span.right img:last {
  content: ' ';
  display: block;
  height: 0;
  font-size:0;
  clear: both;
  visibility:hidden;
}


/* スイッチ */
div.option_switch {
  color: #999999;
  font-size: 16px;
  font-weight: bold;
  width: 802px;
  /* margin: 0 auto; */
  /* margin: 0 0 0 2.5em; */
}
  div.option_switch ul {
    padding: 0;
  }    
  div.option_switch ul li {
    list-style: none;
    float: left;
    margin: 0 10px 10px 10px;
  }
  div.option_switch ul:after {
    content: ' ';
    display: block;
    height: 0;
    font-size:0;
    clear: both;
    visibility:hidden;
  }
    div.switch {
      margin-top: 5px;
    }
    div.switch input {
        display: none;
    }
    div.switch label {
        padding: 12px;
        font-size: 16px;
        font-weight: bold;
        cursor: pointer;
    }
    div.switch label:before {
        padding: 6px 10px;
        border-radius: 6px 0 0 6px;
        background: linear-gradient(to bottom, #F0F0F0 0%, #DDD 100%);
        box-shadow: 0px 0px 3px 0px rgba(0,0,0,0.1) inset;
        color: #BBB;
    }
      div.switch label.on-off:before {
          content: 'O N';
      }
      div.switch label.answerType:before {
          content: 'S A';
      }
      div.switch label.itemPosition:before {
          content: '中央';
      }
      div.switch label.afterAnimation:before {
          content: '消す';
      }
      div.switch label.borderSize:before {
        content: '1px';
      }
  div.switch label:after {
        padding: 6px 10px;
        border-radius: 0 6px 6px 0;
        background: #C30;
        box-shadow: 0px 0px 3px 0px rgba(0,0,0,0.1) inset;
        color: #FFF;
    }
      div.switch label.on-off:after {
          content: 'OFF';
      }
      div.switch label.answerType:after {
          content: 'M A';
      }
      div.switch label.itemPosition:after {
          content: '均等';
      }
      div.switch label.afterAnimation:after {
          content: '切替';
      }
      div.switch label.borderSize:after {
        content: '3px';
      }
    div.switch input + label:hover:before {
        opacity: 0.5;
    }
    div.switch input:checked + label:before {
        background: #9C0;
        color: #FFF;
        opacity: 1;
    }
    div.switch input:checked + label:after {
        background: linear-gradient(to bottom, #F0F0F0 0%, #DDD 100%);
        color: #BBB;
    }
    div.switch input:checked + label:hover:after {
        opacity: 0.5;
    }


.dialog {
    background: none repeat scroll 0 0 #FFFFFF;
    border-radius: 5px;
    box-shadow: 0 3px 5px #000000;
    display: none;
    min-height: 200px;
    min-width: 350px;
    overflow: auto;
    position: absolute;
    z-index: 1000;
}
  .dialog h1 {
      background: none repeat scroll 0 0 #2BA5D7;
      border: 1px solid #61D8F4;
      border-radius: 5px 5px 0 0;
      box-shadow: 0 1px 1px #66A0B8 inset;
      color: #FFFCEB;
      font-size: 20px;
      font-weight: 500;
      margin: 0 0 10px;
      padding: 15px 10px 15px;
      text-align: center;
  }
  .dialog span {
      display: block;
      font-size: 20px;
      margin: 0 0 10px;
      text-align: center;
  }


.info, .success, .warning, .error, .validation {
  border: 1px solid;
/*  margin: 10px 0px;*/
  margin: 145px 0px 10px 0px;
  padding:15px 10px 15px 50px;
  background-repeat: no-repeat;
  background-position: 10px center;
  position: absolute;
  z-index: 1000;
  display: none;
}
.info {
  color: #00529B;
  background-color: #BDE5F8;
  background-image: url('../img/info.png');
}
.success {
  color: #4F8A10;
  background-color: #DFF2BF;
  background-image:url('../img/success.png');
}
.warning {
  color: #9F6000;
  background-color: #FEEFB3;
  background-image: url('../img/warning.png');
}
.error {
  color: #D8000C;
  background-color: #FFBABA;
  background-image: url('../img/error.png');
}
.validation {
  color: #D63301;
  background-color: #FFCCBA;
  background-image: url('../img/validation.png');
  text-align: left;
}

#wrapper {
  margin: 2em;
  display: none;
  position: relative;
  vertical-align: top;
  z-index: 100;
}

#selectBorderColor, #selectBackgroundColor, #selectBackgroundColorHover, #selectTransparency {
  margin: 0 0.2em;
  height: 34px;
  width: 95px;
}

#drawing {
  position: absolute;
  top: 0;
  left: 0;
}

#wrapper canvas {
  max-width: 100%;
  max-height: 100%;
  pointer-events: none;
}
/* 
.rect-selection:hover {
  background-color: #ff0000 !important;
} */